/*-----------------------------------------------------------

	AdLib 262 Library function definition ... for C++ Mode

	Copyright (c) 1996, Park Jeenhong

	Modify and use in your program as you like...

-----------------------------------------------------------*/

/*
	Defined in AdLib 262 Library for SOP
*/

void SetMode_SOP(int);
int SoundColdInit_SOP(unsigned);
void SetYM_262_SOP(int);
int GetStereoPan_SOP(int, int);
void SetStereoPan_SOP(int, int);
void SetVoiceVolume_SOP(unsigned, unsigned);
void SetVoiceTimbre_SOP(unsigned, void *);
void SetVoicePitch_SOP(unsigned, int);
void SetVoicePitch2_SOP(unsigned, int);
int CalcVoicePitch2_SOP(unsigned, int);
void NoteOn_SOP(unsigned, unsigned);
void NoteOff_SOP(unsigned);
int Set_4OP_Mode(unsigned, unsigned);
unsigned GetAddr_SOP(void);

/*
	Defined in AdLib 262 Library
*/

int SoundColdInit(unsigned);
void SoundWarmInit(void);
void SetMode(int);
void SetWaveSel(int);
void SetPitchRange(unsigned);
void SetGParam(int, int, int);
void SetVoiceTimbre(unsigned, void *);
void SetVoiceVolume(unsigned, unsigned);
void SetVoicePitch(unsigned, unsigned);
void NoteOn(unsigned, int);
void NoteOff(unsigned);
int GetStereoStatus(void);
int GetEffectStatus(void);
int GetYMF262Status(void);
int GetStereoParam(int, int);
void SetStereoStatus(int);
void SetEffectStatus(int);
void SetStereoParam(int, int);
void SetYM_262(int);
unsigned GetAddr(void);

/*
	Defined in the assembly source
*/

#ifdef __cplusplus
extern "C" {
#endif

void SetClkRate(long);
void StartTimeOut(int);
void Clk_install(void);
void Clk_uninstall(void);
int TimeOut(void);

#ifdef __cplusplus
};
#endif
